api:
  image:
    repository: gcr.io/google_containers/echoserver
    pullPolicy: IfNotPresent
    tag: "1.8"
  containerPort: 8080
  servicePort: 80

gateway:
    image:
      repository: {{ GATEWAY_BASE_IMAGE }}}
      pullPolicy: IfNotPresent
      tag: {{ GATEWAY_IMAGE_TAG }}}
      credentials:
        registry: https://{{ DOCKER_REGISTRY }}
        username: {{ DOCKER_REGISTRY_USER }}
        password: {{ DOCKER_REGISTRY_PASSWORD }}
        email: fake.email@gmail.com
    annotations:
      app.gitlab.com/app: {{ CI_PROJECT_PATH_SLUG }}
      app.gitlab.com/env: {{ CI_ENVIRONMENT_SLUG }}
    instances: {{ GATEWAY_REPLICAS }}
    servicePort: 80
    containerPort: 80
    hostname: gateway.{{ K8S_INGRESS_IP }}.nip.io
    routes:
    - uri: /sagbot
      upstreamUrl: http://api:80
      upstreamUri: /sagbot
    - uri: /isalive1
      response: This is static response number 1
      responseCode: 200
    - uri: /isalive2
      response: This is static response number 2
      responseCode: 200
    - uri: /isalive3
      response: This is static response number 3
      responseCode: 200